Subject: [alpine-devel] [PATCH] Initial APKBUILD for avfs

From: "V.Krishn" <[email-masked]>
Date: Mon, 23 Apr 2012 08:46:42 +0000

From: "V.Krishn" <[email-masked]>

A virtual filesystem for looking into archives
---
 testing/avfs/APKBUILD |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)
 create mode 100644 testing/avfs/APKBUILD

diff --git a/testing/avfs/APKBUILD b/testing/avfs/APKBUILD
new file mode 100644
index 0000000..5440033
--- /dev/null
+++ b/testing/avfs/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: V.Krishn <[email-masked]>
+# Maintainer: 
+pkgname=avfs
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="A Virtual File System for looking into archives"
+url="http://avf.sourceforge.net/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="bash zlib-dev bzip2-dev fuse-dev"
+install=""
+subpackages=""
+source="http://space.dl.sourceforge.net/project/avf/$pkgname/$pkgver/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	./configure --enable-fuse --enable-library --prefix=/usr
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm "$pkgdir"/usr/lib/*.la
+	rm "$pkgdir"/usr/lib/*.a
+}
+
+
+md5sums="c58421e4f294125895f2c6653a7366a7  avfs-1.0.0.tar.bz2"
-- 
1.7.7.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---